#!/bin/ksh
#
# script to load/unload wormdat RAM filesystems
#
# $Id: load_unload.sh,v 1.3 1996/12/18 01:51:04 jhpb Exp $
#
# $Log: load_unload.sh,v $
# Revision 1.3  1996/12/18 01:51:04  jhpb
# ported to linux
#
# Revision 1.2  1994/12/03 16:19:08  jhpb
# fixes to file headers
#
# Revision 1.1  1994/12/03  15:43:33  jhpb
# Initial revision
#

export PATH=/bin:/sbin:/usr/sbin:/usr/bin:/usr/local/bin

OPERATION="${1:?}"
FILE="${2:?}"

echo "$(date) $@" >> load_unload.log

case "$OPERATION" in
load)
	cat < "$FILE"
	;;
unload)
	cat > "$FILE"
	;;
preload)
	rm -f "$FILE"
	if [ -f "$FILE.gz" ]; then
		gunzip < "$FILE.gz" > "$FILE"
	fi
	;;
postload)
	rm -f "$FILE"
	;;
preunload)
	rm -f "$FILE" "$FILE.gz"
	;;
postunload)
	rm -f "$FILE.gz"
	if [ -f "$FILE" ]; then
		gzip "$FILE"
	fi
	;;
*)
	exit 1
	;;
esac
